---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Chargers

Get chargers.If role is Partner, all partner chargers will be returned.If role is User, the users chargers will be returned.Rate limited: Rate limited at max 2 requests per minute

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Charger",
      "x-displayName": "Charger"
    }
  ],
  "paths": {
    "/api/chargers": {
      "get": {
        "tags": [
          "Charger"
        ],
        "summary": "Chargers",
        "description": "Get chargers.If role is Partner, all partner chargers will be returned.If role is User, the users chargers will be returned.Rate limited: Rate limited at max 2 requests per minute",
        "operationId": "Charger_GetAll",
        "responses": {
          "200": {
            "description": "Charger array",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Easee_Cloud_API_BasicChargerDTO"
                  }
                }
              }
            }
          },
          "403": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Easee_Cloud_API_ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Easee_Cloud_API_BasicChargerDTO": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "string",
            "nullable": true
          },
          "name": {
            "type": "string",
            "nullable": true
          },
          "color": {
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Easee_Cloud_API_ChargerColorType"
              }
            ]
          },
          "createdOn": {
            "type": "string",
            "format": "date-time"
          },
          "updatedOn": {
            "type": "string",
            "format": "date-time"
          },
          "levelOfAccess": {
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Easee_Cloud_API_LevelOfAccess"
              }
            ]
          },
          "productCode": {
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Easee_Cloud_API_ProductType"
              }
            ]
          }
        }
      },
      "Easee_Cloud_API_ChargerColorType": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "Black",
          "Red",
          "Blue",
          "White",
          "Anthracite"
        ],
        "enum": [
          1,
          2,
          3,
          4,
          5
        ]
      },
      "Easee_Cloud_API_LevelOfAccess": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "Open",
          "EaseeAccounts",
          "SpecificUsers"
        ],
        "enum": [
          1,
          2,
          3
        ]
      },
      "Easee_Cloud_API_ProductType": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "EaseeHome",
          "ChargeLite",
          "EaseeCharge",
          "EaseeOne",
          "Equalizer"
        ],
        "enum": [
          1,
          2,
          100,
          400,
          1000
        ]
      },
      "Easee_Cloud_API_ProblemDetails": {
        "type": "object",
        "additionalProperties": {
          "nullable": true
        },
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          },
          "extensions": {
            "type": "object",
            "additionalProperties": {}
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```